searchData={"items":[{"type":"module","title":"WeatherDotGov","doc":"An API client for weather.gov,\nautogenerated from https://api.weather.gov/openapi.json\nSee the documentation for information about all the functions\navailable.","ref":"WeatherDotGov.html"},{"type":"function","title":"WeatherDotGov.alerts_active/0","doc":"Returns all currently active alerts\n\nEndpoint: /alerts/active","ref":"WeatherDotGov.html#alerts_active/0"},{"type":"function","title":"WeatherDotGov.alerts_active_area/1","doc":"Returns active alerts for the given area (state or marine area)\n\nEndpoint: /alerts/active/area/{area}","ref":"WeatherDotGov.html#alerts_active_area/1"},{"type":"function","title":"WeatherDotGov.alerts_active_count/0","doc":"Returns info on the number of active alerts\n\nEndpoint: /alerts/active/count","ref":"WeatherDotGov.html#alerts_active_count/0"},{"type":"function","title":"WeatherDotGov.alerts_active_region/1","doc":"Returns active alerts for the given marine region\n\nEndpoint: /alerts/active/region/{region}","ref":"WeatherDotGov.html#alerts_active_region/1"},{"type":"function","title":"WeatherDotGov.alerts_active_zone/1","doc":"Returns active alerts for the given NWS public zone or county\n\nEndpoint: /alerts/active/zone/{zoneId}","ref":"WeatherDotGov.html#alerts_active_zone/1"},{"type":"function","title":"WeatherDotGov.alerts_query/0","doc":"Returns all alerts\n\nEndpoint: /alerts","ref":"WeatherDotGov.html#alerts_query/0"},{"type":"function","title":"WeatherDotGov.alerts_single/1","doc":"Returns a specific alert\n\nEndpoint: /alerts/{id}","ref":"WeatherDotGov.html#alerts_single/1"},{"type":"function","title":"WeatherDotGov.alerts_types/0","doc":"Returns a list of alert types\n\nEndpoint: /alerts/types","ref":"WeatherDotGov.html#alerts_types/0"},{"type":"function","title":"WeatherDotGov.cwa/3","doc":"Returns a list of Center Weather Advisories from a CWSU\n\nEndpoint: /aviation/cwsus/{cwsuId}/cwas/{date}/{sequence}","ref":"WeatherDotGov.html#cwa/3"},{"type":"function","title":"WeatherDotGov.cwas/1","doc":"Returns a list of Center Weather Advisories from a CWSU\n\nEndpoint: /aviation/cwsus/{cwsuId}/cwas","ref":"WeatherDotGov.html#cwas/1"},{"type":"function","title":"WeatherDotGov.cwsu/1","doc":"Returns metadata about a Center Weather Service Unit\n\nEndpoint: /aviation/cwsus/{cwsuId}","ref":"WeatherDotGov.html#cwsu/1"},{"type":"function","title":"WeatherDotGov.glossary/0","doc":"Returns glossary terms\n\nEndpoint: /glossary","ref":"WeatherDotGov.html#glossary/0"},{"type":"function","title":"WeatherDotGov.gridpoint/3","doc":"Returns raw numerical forecast data for a 2.5km grid area\n\nEndpoint: /gridpoints/{wfo}/{x},{y}","ref":"WeatherDotGov.html#gridpoint/3"},{"type":"function","title":"WeatherDotGov.gridpoint_forecast/3","doc":"Returns a textual forecast for a 2.5km grid area\n\nEndpoint: /gridpoints/{wfo}/{x},{y}/forecast","ref":"WeatherDotGov.html#gridpoint_forecast/3"},{"type":"function","title":"WeatherDotGov.gridpoint_forecast_hourly/3","doc":"Returns a textual hourly forecast for a 2.5km grid area\n\nEndpoint: /gridpoints/{wfo}/{x},{y}/forecast/hourly","ref":"WeatherDotGov.html#gridpoint_forecast_hourly/3"},{"type":"function","title":"WeatherDotGov.gridpoint_stations/3","doc":"Returns a list of observation stations usable for a given 2.5km grid area\n\nEndpoint: /gridpoints/{wfo}/{x},{y}/stations","ref":"WeatherDotGov.html#gridpoint_stations/3"},{"type":"function","title":"WeatherDotGov.icons/3","doc":"Returns a forecast icon. Icon services in API are deprecated.\n\nEndpoint: /icons/{set}/{timeOfDay}/{first}","ref":"WeatherDotGov.html#icons/3"},{"type":"function","title":"WeatherDotGov.icons_dual_condition/4","doc":"Returns a forecast icon. Icon services in API are deprecated.\n\nEndpoint: /icons/{set}/{timeOfDay}/{first}/{second}","ref":"WeatherDotGov.html#icons_dual_condition/4"},{"type":"function","title":"WeatherDotGov.icons_summary/0","doc":"Returns a list of icon codes and textual descriptions. Icon services in API are deprecated.\n\nEndpoint: /icons","ref":"WeatherDotGov.html#icons_summary/0"},{"type":"function","title":"WeatherDotGov.info/0","doc":"","ref":"WeatherDotGov.html#info/0"},{"type":"function","title":"WeatherDotGov.location_products/1","doc":"Returns a list of valid text product types for a given issuance location\n\nEndpoint: /products/locations/{locationId}/types","ref":"WeatherDotGov.html#location_products/1"},{"type":"function","title":"WeatherDotGov.obs_station/1","doc":"Returns metadata about a given observation station\n\nEndpoint: /stations/{stationId}","ref":"WeatherDotGov.html#obs_station/1"},{"type":"function","title":"WeatherDotGov.obs_stations/0","doc":"Returns a list of observation stations.\n\nEndpoint: /stations","ref":"WeatherDotGov.html#obs_stations/0"},{"type":"function","title":"WeatherDotGov.office/1","doc":"Returns metadata about a NWS forecast office\n\nEndpoint: /offices/{officeId}","ref":"WeatherDotGov.html#office/1"},{"type":"function","title":"WeatherDotGov.office_headline/2","doc":"Returns a specific news headline for a given NWS office\n\nEndpoint: /offices/{officeId}/headlines/{headlineId}","ref":"WeatherDotGov.html#office_headline/2"},{"type":"function","title":"WeatherDotGov.office_headlines/1","doc":"Returns a list of news headlines for a given NWS office\n\nEndpoint: /offices/{officeId}/headlines","ref":"WeatherDotGov.html#office_headlines/1"},{"type":"function","title":"WeatherDotGov.open_api_version/0","doc":"","ref":"WeatherDotGov.html#open_api_version/0"},{"type":"function","title":"WeatherDotGov.point/1","doc":"Returns metadata about a given latitude/longitude point\n\nEndpoint: /points/{point}","ref":"WeatherDotGov.html#point/1"},{"type":"function","title":"WeatherDotGov.point_stations/1","doc":"Returns a list of observation stations for a given point\n\nEndpoint: /points/{point}/stations","ref":"WeatherDotGov.html#point_stations/1"},{"type":"function","title":"WeatherDotGov.product/1","doc":"Returns a specific text product\n\nEndpoint: /products/{productId}","ref":"WeatherDotGov.html#product/1"},{"type":"function","title":"WeatherDotGov.product_locations/0","doc":"Returns a list of valid text product issuance locations\n\nEndpoint: /products/locations","ref":"WeatherDotGov.html#product_locations/0"},{"type":"function","title":"WeatherDotGov.product_types/0","doc":"Returns a list of valid text product types and codes\n\nEndpoint: /products/types","ref":"WeatherDotGov.html#product_types/0"},{"type":"function","title":"WeatherDotGov.products_query/0","doc":"Returns a list of text products\n\nEndpoint: /products","ref":"WeatherDotGov.html#products_query/0"},{"type":"function","title":"WeatherDotGov.products_type/1","doc":"Returns a list of text products of a given type\n\nEndpoint: /products/types/{typeId}","ref":"WeatherDotGov.html#products_type/1"},{"type":"function","title":"WeatherDotGov.products_type_location/2","doc":"Returns a list of text products of a given type for a given issuance location\n\nEndpoint: /products/types/{typeId}/locations/{locationId}","ref":"WeatherDotGov.html#products_type_location/2"},{"type":"function","title":"WeatherDotGov.products_type_locations/1","doc":"Returns a list of valid text product issuance locations for a given product type\n\nEndpoint: /products/types/{typeId}/locations","ref":"WeatherDotGov.html#products_type_locations/1"},{"type":"function","title":"WeatherDotGov.radar_profiler/1","doc":"Returns metadata about a given radar wind profiler\n\nEndpoint: /radar/profilers/{stationId}","ref":"WeatherDotGov.html#radar_profiler/1"},{"type":"function","title":"WeatherDotGov.radar_queue/1","doc":"Returns metadata about a given radar queue\n\nEndpoint: /radar/queues/{host}","ref":"WeatherDotGov.html#radar_queue/1"},{"type":"function","title":"WeatherDotGov.radar_server/1","doc":"Returns metadata about a given radar server\n\nEndpoint: /radar/servers/{id}","ref":"WeatherDotGov.html#radar_server/1"},{"type":"function","title":"WeatherDotGov.radar_servers/0","doc":"Returns a list of radar servers\n\nEndpoint: /radar/servers","ref":"WeatherDotGov.html#radar_servers/0"},{"type":"function","title":"WeatherDotGov.radar_station/1","doc":"Returns metadata about a given radar station\n\nEndpoint: /radar/stations/{stationId}","ref":"WeatherDotGov.html#radar_station/1"},{"type":"function","title":"WeatherDotGov.radar_station_alarms/1","doc":"Returns metadata about a given radar station alarms\n\nEndpoint: /radar/stations/{stationId}/alarms","ref":"WeatherDotGov.html#radar_station_alarms/1"},{"type":"function","title":"WeatherDotGov.radar_stations/0","doc":"Returns a list of radar stations\n\nEndpoint: /radar/stations","ref":"WeatherDotGov.html#radar_stations/0"},{"type":"function","title":"WeatherDotGov.satellite_thumbnails/1","doc":"Returns a thumbnail image for a satellite region. Image services in API are deprecated.\n\nEndpoint: /thumbnails/satellite/{area}","ref":"WeatherDotGov.html#satellite_thumbnails/1"},{"type":"function","title":"WeatherDotGov.servers/0","doc":"","ref":"WeatherDotGov.html#servers/0"},{"type":"function","title":"WeatherDotGov.sigmet/3","doc":"Returns a specific SIGMET/AIRMET\n\nEndpoint: /aviation/sigmets/{atsu}/{date}/{time}","ref":"WeatherDotGov.html#sigmet/3"},{"type":"function","title":"WeatherDotGov.sigmet_query/0","doc":"Returns a list of SIGMET/AIRMETs\n\nEndpoint: /aviation/sigmets","ref":"WeatherDotGov.html#sigmet_query/0"},{"type":"function","title":"WeatherDotGov.sigmets_by_atsu/1","doc":"Returns a list of SIGMET/AIRMETs for the specified ATSU\n\nEndpoint: /aviation/sigmets/{atsu}","ref":"WeatherDotGov.html#sigmets_by_atsu/1"},{"type":"function","title":"WeatherDotGov.sigmets_by_atsuby_date/2","doc":"Returns a list of SIGMET/AIRMETs for the specified ATSU for the specified date\n\nEndpoint: /aviation/sigmets/{atsu}/{date}","ref":"WeatherDotGov.html#sigmets_by_atsuby_date/2"},{"type":"function","title":"WeatherDotGov.station_observation_latest/1","doc":"Returns the latest observation for a station\n\nEndpoint: /stations/{stationId}/observations/latest","ref":"WeatherDotGov.html#station_observation_latest/1"},{"type":"function","title":"WeatherDotGov.station_observation_list/1","doc":"Returns a list of observations for a given station\n\nEndpoint: /stations/{stationId}/observations","ref":"WeatherDotGov.html#station_observation_list/1"},{"type":"function","title":"WeatherDotGov.station_observation_time/2","doc":"Returns a single observation.\n\nEndpoint: /stations/{stationId}/observations/{time}","ref":"WeatherDotGov.html#station_observation_time/2"},{"type":"function","title":"WeatherDotGov.taf/3","doc":"Returns a single Terminal Aerodrome Forecast.\n\nEndpoint: /stations/{stationId}/tafs/{date}/{time}","ref":"WeatherDotGov.html#taf/3"},{"type":"function","title":"WeatherDotGov.tafs/1","doc":"Returns Terminal Aerodrome Forecasts for the specified airport station.\n\nEndpoint: /stations/{stationId}/tafs","ref":"WeatherDotGov.html#tafs/1"},{"type":"function","title":"WeatherDotGov.zone/2","doc":"Returns metadata about a given zone\n\nEndpoint: /zones/{type}/{zoneId}","ref":"WeatherDotGov.html#zone/2"},{"type":"function","title":"WeatherDotGov.zone_forecast/2","doc":"Returns the current zone forecast for a given zone\n\nEndpoint: /zones/{type}/{zoneId}/forecast","ref":"WeatherDotGov.html#zone_forecast/2"},{"type":"function","title":"WeatherDotGov.zone_list/0","doc":"Returns a list of zones\n\nEndpoint: /zones","ref":"WeatherDotGov.html#zone_list/0"},{"type":"function","title":"WeatherDotGov.zone_list_type/1","doc":"Returns a list of zones of a given type\n\nEndpoint: /zones/{type}","ref":"WeatherDotGov.html#zone_list_type/1"},{"type":"function","title":"WeatherDotGov.zone_obs/1","doc":"Returns a list of observations for a given zone\n\nEndpoint: /zones/forecast/{zoneId}/observations","ref":"WeatherDotGov.html#zone_obs/1"},{"type":"function","title":"WeatherDotGov.zone_stations/1","doc":"Returns a list of observation stations for a given zone\n\nEndpoint: /zones/forecast/{zoneId}/stations","ref":"WeatherDotGov.html#zone_stations/1"},{"type":"behaviour","title":"WeatherDotGov.HttpClient","doc":"","ref":"WeatherDotGov.HttpClient.html"},{"type":"callback","title":"WeatherDotGov.HttpClient.get/1","doc":"","ref":"WeatherDotGov.HttpClient.html#c:get/1"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.1"}}